FD2PS(1L)

NAME
fd2ps - Translates fdesign output to PostScript

SYNOPSIS
fd2ps [-options] input.[fd] [output]

DESCRIPTION
The program fd2ps translates the fd file produced by the interface builder program fdesign of the Forms Library into PostScript (ps), or optionally Encapsulated PostScript (eps) for printing or inclusion into other documents. The input file can be given with or without the .fd extension. If output file name is not specified, used is a filename derived from the input file name by replacing the .fd extension with ps or eps. If output filename is specified as -, stdout is used.

OPTIONS
fd2ps accepts the following command line options

-help
    Prints a brief summary of all command line options.

-version
    Prints the current version of fd2ps and exits.

-p  The option requests portrait orientation. By default, the orientation is switched to landscape if portrait will not fit the page. This option overrides the default.

-l  This options requests landscape output.

-bw n
    Specifies the border width of the interface. By default this information is obtained from the .fd file.

-eps
    This option requests Encapsulated PostScript instead of the plain PostScript output.

-gray
    This options requests all colors be converted to gray levels. By default, fd2ps outputs colors as specified in the .fd file.

-G f
    specifies a gamma factor that will be used to adjust the builtin colors in a non-linear fashion. It can be thought as a way to brighten or dim the builtin colors: larger the gamma, brighter the color. The default gamma is 1.0.

-dpi f
    This option specifies the screen resolution on which the user interface is designed. By giving a smaller or larger dpi number than that of the screen, the output is in effect being enlarged or shrunk. This flag does not affect text size. The default DPI is 85. If the .fd file is specified in device independent unit, this flag does not have effect.

-rgb file
    This option specifies the path to the X color database (rgb.txt) for use in parsing XPM colornames. The default is /usr/lib/X11/rgb.txt. Environment variable RGBFile can be used to change the default.

-paper name
    This option specifies the paper name, such as A4, Letter etc. The output PostScript will always center on the page. Use name all to get a list of the known paper names and sizes. The default is US Letter unless environment variable PAPER is set to one of the known paper names.

-pw f
    Specifies the paper width, in inches.

-ph f
    Specifies the paper height, in inches.

-verbose
    This option specifies verbose output, i.e., comments in the output PostScript file. Most useful for debugging the fd2ps program.

BUGS
Not all objects are currently supported.

SEE ALSO
fdesign(1L), xforms(5)

AUTHOR
Copyright 1997-98 by T.C. Zhao (tc_zhao@yahoo.com)

HOME PAGE
http://world.std.com/~xforms